Raritan PX2/PX3 JSON-RPC API: lhxmodel::Config_1_0_1 Interface Reference

Raritan PX2/PX3 JSON-RPC API

Classes | Public Member Functions | Public Attributes | List of all members
lhxmodel::Config_1_0_1 Interface Reference

LHX Configuration Interface. More...

`import"LhxConfig.idl";`

## Classes
struct | ComSettings
| LHX port communication settings. More...

## Public Member Functions
ComSettings | getComSettings ()
| Retrieve the LHX port communication settings. More...
int | setComSettings (in ComSettings settings)
| Change the LHX port communication settings. More...
string | getName ()
| Retrieve the LHX port name. More...
int | setName (in string name)
| Change the LHX port name. More...

## Public Attributes
constant int | NO_ERROR = 0
| No error.
constant int | ERR_INVALID_PARAMS = 1
| Invalid parameters.
valueobject | ComSettingsChangedEvent: event::UserEvent { ComSettings oldSettings
| Event: LHX port communication settings have changed. More...
ComSettings | newSettings
| Settings after change.
valueobject | PortNameChangedEvent: event::UserEvent { string oldName
| Event: LHX port name has been changed. More...
string | newName
| Name after change.

## Detailed Description

LHX Configuration Interface.

## Member Function Documentation

## ◆ getComSettings()

ComSettings lhxmodel::Config_1_0_1::getComSettings | ( |  | ) |

Retrieve the LHX port communication settings.

Returns
  LHX port communication settings

## ◆ getName()

string lhxmodel::Config_1_0_1::getName | ( |  | ) |

Retrieve the LHX port name.

Returns
  LHX port name

## ◆ setComSettings()

int lhxmodel::Config_1_0_1::setComSettings | ( | in ComSettings | settings | ) |

Change the LHX port communication settings.

Parameters

  settings | New LHX port communication settings

Returns
  0 if OK
  ERR_INVALID_PARAMS if any parameters are invalid

## ◆ setName()

int lhxmodel::Config_1_0_1::setName | ( | in string | name | ) |

Change the LHX port name.

Parameters

  name | New LHX port name

Returns
  0 if OK
  ERR_INVALID_PARAMS if any parameters are invalid

## Member Data Documentation

## ◆ ComSettingsChangedEvent

valueobject lhxmodel::Config_1_0_1::ComSettingsChangedEvent

Event: LHX port communication settings have changed.

Settings before change

## ◆ PortNameChangedEvent

valueobject lhxmodel::Config_1_0_1::PortNameChangedEvent

Event: LHX port name has been changed.

Name before change

The documentation for this interface was generated from the following file:

- pdu-json-rpc-api/idl/LhxConfig.idl